package com.bocloud.nms.model.campus;

public class SnmpTemplateModel {

    private Long id; // SNMP 模板的 ID。
    private String name; // 模板名称。
    private Integer version; // 版本。1：VERSION1。2：VERSION2。3：VERSION3
    private String paraType; // 参数类型。
    private String roCommunity; // 只读团体字。
    private String rwCommunity; // 读写团体字。
    private Long timeout; // 超时时间。
    private Long retries; // 重试次数。
    private String contextName; // V3上下文名称。
    private String securityName; // 安全名称。
    private Integer authScheme; // 鉴权方式。1：NONE。2：MD5。3：SHA
    private String authPassword; // 鉴权口令。
    private Integer privScheme; // 加密方式。1：NONE。2：DES。19：AES128。20：AES192。21：AES256。
    private String privPassword; // 加密口令。
    private Long snmpPort; // 端口号。
    private Integer securityMode; // 安全模式。1：NOAUTHNOPRIV。2：AUTHNOPRIV。3：AUTHPRIV

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getParaType() {
        return paraType;
    }

    public void setParaType(String paraType) {
        this.paraType = paraType;
    }

    public String getRoCommunity() {
        return roCommunity;
    }

    public void setRoCommunity(String roCommunity) {
        this.roCommunity = roCommunity;
    }

    public String getRwCommunity() {
        return rwCommunity;
    }

    public void setRwCommunity(String rwCommunity) {
        this.rwCommunity = rwCommunity;
    }

    public Long getTimeout() {
        return timeout;
    }

    public void setTimeout(Long timeout) {
        this.timeout = timeout;
    }

    public Long getRetries() {
        return retries;
    }

    public void setRetries(Long retries) {
        this.retries = retries;
    }

    public String getContextName() {
        return contextName;
    }

    public void setContextName(String contextName) {
        this.contextName = contextName;
    }

    public String getSecurityName() {
        return securityName;
    }

    public void setSecurityName(String securityName) {
        this.securityName = securityName;
    }

    public Integer getAuthScheme() {
        return authScheme;
    }

    public void setAuthScheme(Integer authScheme) {
        this.authScheme = authScheme;
    }

    public String getAuthPassword() {
        return authPassword;
    }

    public void setAuthPassword(String authPassword) {
        this.authPassword = authPassword;
    }

    public Integer getPrivScheme() {
        return privScheme;
    }

    public void setPrivScheme(Integer privScheme) {
        this.privScheme = privScheme;
    }

    public String getPrivPassword() {
        return privPassword;
    }

    public void setPrivPassword(String privPassword) {
        this.privPassword = privPassword;
    }

    public Long getSnmpPort() {
        return snmpPort;
    }

    public void setSnmpPort(Long snmpPort) {
        this.snmpPort = snmpPort;
    }

    public Integer getSecurityMode() {
        return securityMode;
    }

    public void setSecurityMode(Integer securityMode) {
        this.securityMode = securityMode;
    }
}
